Home | All Classes | Grouped Classes | Index | Search

# CL_GlyphBuffer::get_lines

Returns a vector of CL_GlyphBuffer::Range, each of which contains one line.

    	std::vector<Range> get_lines();

    	std::vector<Range> get_lines(
    		Range range);

Parameters:

range
  The subsection of the glyphs vector to look through, which is expanded both ways.

Detailed description:

The CL_GlyphBuffer's contents (the glyphs vector, the font markers map, and the effects maps), if any, must not have been created/altered by anything but CL_Font::draw_to_gb() or CL_TextStyler::draw_to_gb() or the CL_GlyphBuffer justification functions or using CL_GlyphBuffer::remove to take glyphs off the end for this method to work.

See also:

CL_Font | CL_GlyphBuffer | CL_TextStyler

Questions or comments, write to the ClanLib mailing list.